Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1000920 - [RFE] Support PPC and ARM builds
Summary: [RFE] Support PPC and ARM builds
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 4.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-ARM F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2013-08-26 06:29 UTC by Fabian Deutsch
Modified: 2014-06-11 13:53 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-11 13:53:03 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Fabian Deutsch 2013-08-26 06:29:53 UTC
Description of problem:
ovirt-node currently doesn't build on PPC/ARM because some requirements are not available on these platforms.

Comment 1 Ramon Medeiros 2013-09-03 15:44:17 UTC
What requirements are not available. Can I help?

Comment 2 Ramon Medeiros 2013-09-03 15:45:21 UTC
I'm looking for PPC support!

Comment 3 Fabian Deutsch 2013-09-03 15:46:49 UTC
Hey Ramon,

the reason is that some dependencies are not available on ARM (dunno about PPC).
E.g. libvirt cim or so it was.

Additionally - at least on arm - the installation will probably fail as it is tied to grub2?.

Comment 4 Mike Burns 2013-09-03 16:35:57 UTC
(In reply to Fabian Deutsch from comment #3)
> Hey Ramon,
> 
> the reason is that some dependencies are not available on ARM (dunno about
> PPC).
> E.g. libvirt cim or so it was.

Yes, libvirt-cim is not available on ARM

> 
> Additionally - at least on arm - the installation will probably fail as it
> is tied to grub2?.

grub2 causes build failures as well since we "require" grub2 in our base ovirt-node package.


As for PPC, it's not a primary architecture on Fedora (AFAIK).  The main problem here is that we depend on qemu-kvm which is not available on ppc.

Comment 5 Gustavo Luiz Duarte 2013-12-02 15:42:41 UTC
(In reply to Mike Burns from comment #4)
> As for PPC, it's not a primary architecture on Fedora (AFAIK).  The main
> problem here is that we depend on qemu-kvm which is not available on ppc.

qemu-kvm is available on ppc64: http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=208990

*Running* KVM on PPC64 requires special hardware with KVM support though.

libvirt-cim and grub2 are also available on Fedora ppc64.

Comment 6 Doron Fediuck 2014-06-11 13:53:03 UTC
We're considering a different node implementation for oVirt 4.0.
Hence, closing this RFE. Please re-open if relevant.


Note You need to log in before you can comment on or make changes to this bug.